import json

from config import set_config
from log import Log
from db_helper import RedisHelper

config_, _ = set_config()
log_ = Log()

flowpool_level_weight = {
    '1': 1,
    '2': 2,
    '3': 3,
    '4': 4,
    '5': 5,
    '6': 6
}
log_.info(f"flowpool_level_weight: {flowpool_level_weight}")
redis_helper = RedisHelper()
redis_helper.set_data_to_redis(
    key_name=config_.FLOWPOOL_LEVEL_WEIGHT_KEY_NAME, value=json.dumps(flowpool_level_weight), expire_time=365 * 24 *3600
)
log_.info(f"flowpool_level_weight update finished!")
